------------------------------------------------------------
revno: 3129
committer: Ramil Kalimullin <ramil@mysql.com>
branch nick: mysql-5.5.8-release
timestamp: Fri 2010-12-03 20:49:08 +0300
message:
  Fix for bug #58669: read_only not enforced on 5.5.x
  
  Problem: "read-only" option ignored if it's enabled in
  the command line (or in the config file).
  
  Fix: sync opt_readonly (which is used for checks) with 
  read_only (global var) when all server options are handled.
------------------------------------------------------------
revno: 3128
committer: Jon Olav Hauglid <jon.hauglid@oracle.com>
branch nick: mysql-5.5.8-release
timestamp: Tue 2010-11-30 18:52:38 +0100
message:
  Bug #58414 mysql_upgrade fails on dump upgrade between 5.1.53 -> 5.5.8
  
  The problem was that mysql_upgrade failed because DROP DATABASE
  refused to drop the 'performance_schema' database when the 
  mysql.proc table definition was made temporarily invalid
  by dump import.
  
  This patch fixes the problem by adding the error resulting
  from opening a damaged mysq.proc table (ER_CANNOT_LOAD_FROM_TABLE),
  to the list of errors DROP DATABASE will ignore when trying
  to lock stored procedures and functions before deletion.
  
  This problem was a regression introduced by the patch for
  Bug#57663.
  
  Test case added to sp-destruct.test.
------------------------------------------------------------
revno: 3127
committer: Vladislav Vaintroub <vvaintroub@mysql.com>
branch nick: mysql-5.5.8-release
timestamp: Fri 2010-11-26 16:07:07 +0100
message:
  Cherrypicked http://lists.mysql.com/commits/124935
  
  MSI: Only call custom action if REMOVE=ALL is specified, this avoids accidential removing services if  feature states are modified (reported by Iggy)
------------------------------------------------------------
revno: 3126 [merge]
committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
branch nick: mysql-5.5.8-release
timestamp: Thu 2010-11-25 13:57:20 +0300
message:
  Null-merge from mysql-5.5.7-rc-release.
  
  Null-merging revision
  'revid: joerg@mysql.com-20101102213229-lyd8tl5gr40dotck'
  (Bug_57916: Fix the naming of the proxy_priv table)
  from mysql-5.5.7-rc-release.
  
  The patch is already in mysq-5.5.8-release
  (revid: georgi.kodinov@oracle.com-20101102154526-coc3muh4mlw91ti8)
    ------------------------------------------------------------
    revno: 3069.10.6
    committer: Joerg Bruehe <joerg@mysql.com>
    branch nick: clone-5.5
    timestamp: Tue 2010-11-02 22:32:29 +0100
    message:
      Bug #57916: Fix the naming of the proxy_priv table
      
      1. Fixed the name of the table to proxies_priv
      2. Fixed the column names to be of the form Capitalized_lowercase instead of
         Capitalized_Capitalized
      3. Added Timestamp and Grantor columns
      4. Added tests to plugin_auth to check the table structure
      5. Updated the existing tests
      
      Fix done by Georgi Kodinov,
      now transferred to the 5.5.7 release build clone.
------------------------------------------------------------
revno: 3125 [merge]
committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
branch nick: mysql-5.5.8-release
timestamp: Thu 2010-11-25 13:54:30 +0300
message:
  Null-merge from mysql-5.5.7-rc-release.
  
  Null-merging revision
  'revid: kevin.lewis@oracle.com-20101102151655-b9oe4ii46szw7vx1'
  (Bug_57904 - Only one INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS was displayed
  per table from Innodb) from mysql-5.5.7-rc-release.
  
  The patch is already in mysql-5.5.8-release
  (revid: kevin.lewis@oracle.com-20101102150314-a3jx98sg7wm3emge).
    ------------------------------------------------------------
    revno: 3069.10.5
    committer: kevin.lewis@oracle.com
    branch nick: mysql-5.5.7-rc-release
    timestamp: Tue 2010-11-02 10:16:55 -0500
    message:
      Bug#57904 - Only one INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS was displayed
      per table from Innodb
------------------------------------------------------------
revno: 3124 [merge]
committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
branch nick: mysql-5.5.8-release
timestamp: Thu 2010-11-25 13:47:42 +0300
message:
  Auto-merge from mysql-5.5.7-rc-release.
    ------------------------------------------------------------
    revno: 3069.10.4
    committer: MySQL Build Team <build@mysql.com>
    branch nick: mysql-5.5.7-rc-release
    timestamp: Wed 2010-10-27 23:59:07 +0200
    message:
      merge of 57689 revno: 3101 from mysql-5.5-bugteam
------------------------------------------------------------
revno: 3123 [merge]
committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
branch nick: mysql-5.5.8-release
timestamp: Thu 2010-11-25 13:46:18 +0300
message:
  Auto-merge from mysql-5.5.7-rc-release.
    ------------------------------------------------------------
    revno: 3069.10.3
    committer: Oystein Grovlen <oystein.grovlen@oracle.com>
    branch nick: mysql-5.5.7-rc-release
    timestamp: Wed 2010-10-20 15:17:29 +0200
    message:
      Bug#57512 str_to_date crash...
      
      str_to_date function should only try to generate a warning for
      invalid input strings, not when input value is NULL. In latter
      case, val_str() of input argument will return a nil pointer.
      Trying to generate a warning using this pointer lead to a
      segmentation fault. Solution: Only generate warning when pointer
      to input string is non-nil.
------------------------------------------------------------
revno: 3122
committer: Jonathan Perkin <jonathan.perkin@oracle.com>
branch nick: mysql-5.5.8-release
timestamp: Thu 2010-11-25 00:21:28 +0000
message:
  Fix the .deb package prefix.
------------------------------------------------------------
revno: 3121
committer: Jonathan Perkin <jonathan.perkin@oracle.com>
branch nick: mysql-5.5.8-release
timestamp: Wed 2010-11-24 23:34:00 +0000
message:
  Support alternate license file.
------------------------------------------------------------
revno: 3120
tags: clone-5.5.8-build
committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
branch nick: mysql-5.5-security
timestamp: Wed 2010-11-24 18:55:23 +0300
message:
  - Fix changelog (remove duplicated entry)
  - Mark main.gis experimental
------------------------------------------------------------
revno: 3119
committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
branch nick: mysql-5.5-security
timestamp: Wed 2010-11-24 18:08:27 +0300
message:
  Bug#45445: cannot execute procedures with thread_stack set to 128k.
  Reverting the patch.
------------------------------------------------------------
revno: 3118
committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
branch nick: mysql-5.5-security
timestamp: Wed 2010-11-24 17:52:57 +0300
message:
  Bug#55980 Character sets: supplementary character _bin ordering is wrong
  
  Post-fix:
    Reverting the "utf16_bin did not sort supplementary characters
    between U+D700 and U+E000" part. We'll use code-point order.
  
  Committing on behalf of Alexander Barkov.
------------------------------------------------------------
revno: 3117 [merge]
committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
branch nick: mysql-5.5-security
timestamp: Wed 2010-11-24 17:11:36 +0300
message:
  Merge from mysql-5.1-security.
    ------------------------------------------------------------
    revno: 2661.701.30 [merge]
    committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
    branch nick: mysql-5.1-security
    timestamp: Wed 2010-11-24 16:14:43 +0300
    message:
      Merge from mysql-5.0-security.
        ------------------------------------------------------------
        revno: 1810.3999.8
        committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
        branch nick: mysql-5.0-security
        timestamp: Wed 2010-11-24 16:12:23 +0300
        message:
          A follow-up for Bug#58339 (Replace Server GPL README file).
          Fix formatting issues in README file.
    ------------------------------------------------------------
    revno: 2661.701.29 [merge]
    committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
    branch nick: mysql-5.1-security
    timestamp: Wed 2010-11-24 13:50:32 +0300
    message:
      Empty merge from mysql-5.0-security.
        ------------------------------------------------------------
        revno: 1810.3999.7 [merge]
        committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
        branch nick: mysql-5.0-security
        timestamp: Wed 2010-11-24 13:40:32 +0300
        message:
          Merge from mysql-5.0-bugteam.
        ------------------------------------------------------------
        revno: 1810.3999.6 [merge]
        committer: Ramil Kalimullin <ramil@mysql.com>
        branch nick: mysql-5.0-security
        timestamp: Tue 2010-11-23 15:26:07 +0300
        message:
          Auto-merge with mysql-5.0-bugteam.
    ------------------------------------------------------------
    revno: 2661.701.28 [merge]
    committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
    branch nick: mysql-5.1-security
    timestamp: Wed 2010-11-24 13:43:31 +0300
    message:
      Merge from mysql-5.1-bugteam.
    ------------------------------------------------------------
    revno: 2661.701.27
    committer: Ramil Kalimullin <ramil@mysql.com>
    branch nick: mysql-5.1-security
    timestamp: Tue 2010-11-23 16:35:40 +0300
    message:
      binlog.binlog_row_failure_mixing_engines test disabled.
      See bug #58416.
    ------------------------------------------------------------
    revno: 2661.701.26 [merge]
    committer: Ramil Kalimullin <ramil@mysql.com>
    branch nick: mysql-5.1-security
    timestamp: Tue 2010-11-23 16:08:10 +0300
    message:
      Auto-merge with mysql-5.1-bugteam.
    ------------------------------------------------------------
    revno: 2661.701.25 [merge]
    committer: Gleb Shchepa <gleb.shchepa@oracle.com>
    branch nick: mysql-5.1-security
    timestamp: Tue 2010-11-23 00:34:22 +0300
    message:
      empty upmerge after backport of bug 55568
      5.0-security --> 5.1-security
        ------------------------------------------------------------
        revno: 1810.3999.5
        committer: Gleb Shchepa <gleb.shchepa@oracle.com>
        branch nick: mysql-5.0-security
        timestamp: Tue 2010-11-23 00:29:47 +0300
        message:
          backport: Bug #55568 from 5.1-security to 5.0-security
          
          > revision-id: alexey.kopytov@sun.com-20100824103548-ikm79qlfrvggyj9h
          > parent: sunny.bains@oracle.com-20100816001222-xqc447tr6jwh8c53
          > committer: Alexey Kopytov <Alexey.Kopytov@Sun.com>
          > branch nick: 5.1-security
          > timestamp: Tue 2010-08-24 14:35:48 +0400
          > message:
          >   Bug #55568: user variable assignments crash server when used
          >               within query
          >   
          >   The server could crash after materializing a derived table
          >   which requires a temporary table for grouping.
          >   
          >   When destroying the temporary table used to execute a query for
          >   a derived table, JOIN::destroy() did not clean up Item_fields
          >   pointing to fields in the temporary table. This led to
          >   dereferencing a dangling pointer when printing out the items
          >   tree later in the outer SELECT.
          >   
          >   The solution is an addendum to the patch for bug37362: in
          >   addition to cleaning up items in tmp_all_fields3, do the same
          >   for items in tmp_all_fields1, since now we have an example
          >   where this is necessary.
------------------------------------------------------------
revno: 3116 [merge]
committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
branch nick: mysql-5.5-security
timestamp: Wed 2010-11-24 17:08:06 +0300
message:
  Null-merge from mysql-5.1-security (changes already here).
    ------------------------------------------------------------
    revno: 2661.701.24 [merge]
    committer: Ramil Kalimullin <ramil@mysql.com>
    branch nick: mysql-5.1-security
    timestamp: Mon 2010-11-22 12:21:10 +0300
    message:
      Manual-merge from mysql-5.1-bugteam.
------------------------------------------------------------
revno: 3115 [merge]
committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
branch nick: mysql-5.5-security
timestamp: Wed 2010-11-24 17:02:25 +0300
message:
  Null-merge from mysql-5.1-security (changes already here).
    ------------------------------------------------------------
    revno: 2661.701.23 [merge]
    committer: Ramil Kalimullin <ramil@mysql.com>
    branch nick: mysql-5.1-security
    timestamp: Thu 2010-11-18 13:40:57 +0300
    message:
      Auto-merge from mysql-5.1-bugteam.
------------------------------------------------------------
revno: 3114
committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
branch nick: mysql-5.5-security
timestamp: Wed 2010-11-24 16:32:15 +0300
message:
  Mark a couple of tests experimental.
------------------------------------------------------------
revno: 3113 [merge]
committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
branch nick: mysql-5.5-security
timestamp: Wed 2010-11-24 13:43:20 +0300
message:
  Merge from mysql-5.5-bugteam.
    ------------------------------------------------------------
    revno: 3097.17.7 [merge]
    committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
    branch nick: mysql-5.5-bugteam
    timestamp: Wed 2010-11-24 13:23:44 +0300
    message:
      Merge from mysql-5.1-bugteam.
        ------------------------------------------------------------
        revno: 2661.706.21 [merge]
        committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Wed 2010-11-24 13:07:37 +0300
        message:
          Merge from mysql-5.0-bugteam.
            ------------------------------------------------------------
            revno: 1810.3987.44
            committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Wed 2010-11-24 12:53:39 +0300
            message:
              A follow-up for Bug#58340 (Remove Server GPL EXCEPTIONS-CLIENT file) -- remove all
              EXCEPTIONS-CLIENT from all the places.
------------------------------------------------------------
revno: 3112 [merge]
committer: Bjorn Munch <bjorn.munch@oracle.com>
branch nick: mysql-5.5-security
timestamp: Wed 2010-11-24 10:47:50 +0100
message:
  upmerge 58424
    ------------------------------------------------------------
    revno: 2661.412.106
    committer: Bjorn Munch <bjorn.munch@oracle.com>
    branch nick: mtexp-51
    timestamp: Wed 2010-11-24 10:22:03 +0100
    message:
      Bug #58424 mtr ignores failing mysqltest in the presence of expect file for mysqld
      If mysqltest dies, mtr waits to see if mysqld dies too within 100ms
      But in that case, it should not care about expected crash
      Fix: jump past the code that checks the expect file
------------------------------------------------------------
revno: 3111
committer: Jonathan Perkin <jonathan.perkin@oracle.com>
branch nick: mysql-5.5-security
timestamp: Tue 2010-11-23 15:24:14 +0000
message:
  EXCEPTIONS-CLIENT was removed, update the RPM spec file.
  
  While here, support supplying a '-j' flag to make(1) from
  the environment.
------------------------------------------------------------
revno: 3110
committer: Bjorn Munch <bjorn.munch@oracle.com>
branch nick: mysql-5.5-security
timestamp: Tue 2010-11-23 15:03:44 +0100
message:
  Bug #58415 mtr cannot find libmysqld.dll in new 5.5 packages
  Done as suggested
  Also tested from src build directory
------------------------------------------------------------
revno: 3109 [merge]
committer: Ramil Kalimullin <ramil@mysql.com>
branch nick: mysql-5.5-security
timestamp: Tue 2010-11-23 16:44:26 +0300
message:
  Auto-merge with mysql-5.5-bugteam.
    ------------------------------------------------------------
    revno: 3097.17.6 [merge]
    committer: Sergey Glukhov <sergey.glukhov@oracle.com>
    branch nick: mysql-5.5-bugteam
    timestamp: Tue 2010-11-23 13:47:35 +0300
    message:
      5.1-bugteam->5.5-bugteam merge
        ------------------------------------------------------------
        revno: 2661.706.20
        committer: Sergey Glukhov <sergey.glukhov@oracle.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Tue 2010-11-23 13:18:47 +0300
        message:
          Bug#56862 Execution of a query that uses index merge returns a wrong result
          In case of low memory sort buffer QUICK_INDEX_MERGE_SELECT creates
          temporary file where is stores row ids which meet QUICK_SELECT ranges
          except of clustered pk range, clustered range is processed separately.
          In init_read_record we check if temporary file is used and choose
          appropriate record access method. It does not take into account that
          temporary file contains partial result in case of QUICK_INDEX_MERGE_SELECT
          with clustered pk range.
          The fix is always to use rr_quick if QUICK_INDEX_MERGE_SELECT
          with clustered pk range is used.
    ------------------------------------------------------------
    revno: 3097.17.5
    committer: Davi Arnaut <davi.arnaut@oracle.com>
    branch nick: mysql-5.5-bugteam
    timestamp: Mon 2010-11-22 14:10:44 -0200
    message:
      Assorted fixes for test failures.
    ------------------------------------------------------------
    revno: 3097.17.4 [merge]
    committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
    branch nick: mysql-5.5-bugteam
    timestamp: Mon 2010-11-22 18:48:25 +0300
    message:
      Merge from mysql-5.1-bugteam.
        ------------------------------------------------------------
        revno: 2661.706.19 [merge]
        committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
        branch nick: mysql-5.1-bugteam
        timestamp: Mon 2010-11-22 16:32:59 +0300
        message:
          Merge from mysql-5.0-bugteam.
            ------------------------------------------------------------
            revno: 1810.3987.43
            committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Mon 2010-11-22 16:27:49 +0300
            message:
              Patch for Bug#58340 (Remove Server GPL EXCEPTIONS-CLIENT file).
            ------------------------------------------------------------
            revno: 1810.3987.42
            committer: Alexander Nozdrin <alexander.nozdrin@oracle.com>
            branch nick: mysql-5.0-bugteam
            timestamp: Mon 2010-11-22 16:25:50 +0300
            message:
              Patch for Bug#58339 (Replace Server GPL README file).
    ------------------------------------------------------------
    revno: 3097.17.3 [merge]
    committer: MySQL Build Team<build@mysql.com>
    branch nick: mysql-bug58227-5.5
    timestamp: Mon 2010-11-22 13:58:42 +0100
    message:
      merge
        ------------------------------------------------------------
        revno: 3097.11.6
        committer: Jon Olav Hauglid <jon.hauglid@oracle.com>
        branch nick: mysql-5.5-bugteam-test
        timestamp: Mon 2010-11-22 11:50:20 +0100
        message:
          This patch fixes the bug which caused the funcs_1.storedproc
          test case to give valgrind warnings.
          
          The problem was that when comparing two MDL key buffers using
          memcmp(), 1 was added to the buffer length. However, this was
          no longer needed since the buffer length already included the
          '\0' terminator.
        ------------------------------------------------------------
        revno: 3097.11.5
        committer: Davi Arnaut <davi.arnaut@oracle.com>
        branch nick: mysql-5.5-bugteam
        timestamp: Mon 2010-11-22 08:43:36 -0200
        message:
          WL#5665: Removal of the autotools-based build system
          
          Remove some more files which are unused.
    ------------------------------------------------------------
    revno: 3097.17.2 [merge]
    committer: Sunanda Menon <sunanda.menon@oracle.com>
    branch nick: mysql-bug58227-5.5
    timestamp: Mon 2010-11-22 11:35:48 +0100
    message:
      merge
        ------------------------------------------------------------
        revno: 3097.11.4
        committer: Davi Arnaut <davi.arnaut@oracle.com>
        branch nick: mysql-5.5-bugteam
        timestamp: Sat 2010-11-20 20:56:09 -0200
        message:
          WL#5665: Removal of the autotools-based build system
          
          Remove some more leftovers from the initial removal:
          
          o Update relevant mentions of configure.in throughout
          the source code.
          
          o Remove win/configure.js, which at this point just
          duplicates logic already present in CMake based build
          system.
          
          o Remove support files which relied on the autotools
          build system. In any case, MySQL is no longer officially
          supported on SCO.
          
          o Remove files which are no longer part of the build.
        ------------------------------------------------------------
        revno: 3097.11.3 [merge]
        committer: Guilhem Bichot <guilhem@mysql.com>
        branch nick: 5.5-bugteam
        timestamp: Mon 2010-11-22 10:13:46 +0100
        message:
          merge of 5.1-bugteam
            ------------------------------------------------------------
            revno: 2661.706.18
            committer: Guilhem Bichot <guilhem@mysql.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Mon 2010-11-22 09:57:59 +0100
            message:
              Fix for Bug#56138 "valgrind errors about overlapping memory when double-assigning same variable",
              and related small fixes.
    ------------------------------------------------------------
    revno: 3097.17.1
    committer: Sunanda Menon <sunanda.menon@oracle.com>
    branch nick: mysql-bug58227-5.5
    timestamp: Fri 2010-11-19 10:34:22 +0100
    message:
      Bug #58227 	improve error message "aio is required on Linux"
------------------------------------------------------------
revno: 3108 [merge]
committer: Ramil Kalimullin <ramil@mysql.com>
branch nick: mysql-5.5-security
timestamp: Mon 2010-11-22 14:47:28 +0300
message:
  Manual merge from mysql-5.5-bugteam.
    ------------------------------------------------------------
    revno: 3097.11.2 [merge]
    committer: Marc Alff <marc.alff@oracle.com>
    branch nick: mysql-5.5-bugteam-56760
    timestamp: Sun 2010-11-21 14:32:48 +0100
    message:
      local merge
        ------------------------------------------------------------
        revno: 3097.12.7
        committer: Davi Arnaut <davi.arnaut@oracle.com>
        branch nick: 5665-5.5
        timestamp: Sat 2010-11-20 12:47:50 -0200
        message:
          WL#5665: Removal of the autotools-based build system
          
          The autotools-based build system has been superseded and
          is being removed in order to ease the maintenance burden on
          developers tweaking and maintaining the build system.
          
          In order to support tools that need to extract the server
          version, a new file that (only) contains the server version,
          called VERSION, is introduced. The file contents are human
          and machine-readable. The format is:
          
          MYSQL_VERSION_MAJOR=5
          MYSQL_VERSION_MINOR=5
          MYSQL_VERSION_PATCH=8
          MYSQL_VERSION_EXTRA=-rc
          
          The CMake based version extraction in cmake/mysql_version.cmake
          is changed to extract the version from this file. The configure
          to CMake wrapper is retained for backwards compatibility and to
          support the BUILD/ scripts. Also, a new a makefile target
          show-dist-name that prints the server version is introduced.
        ------------------------------------------------------------
        revno: 3097.12.6 [merge]
        committer: Davi Arnaut <davi.arnaut@oracle.com>
        branch nick: mysql-5.5-bugteam
        timestamp: Sat 2010-11-20 12:37:55 -0200
        message:
          Merge of mysql-5.1-bugteam into mysql-5.5-bugteam.
            ------------------------------------------------------------
            revno: 2661.706.17
            committer: Davi Arnaut <davi.arnaut@oracle.com>
            branch nick: mysql-5.1-bugteam
            timestamp: Sat 2010-11-20 12:29:51 -0200
            message:
              Bug#57994: Compiler flag change build error : my_redel.c
              
              Although ICC identifies itself as GCC, even in version numbers,
              it does not support the stpcpy built-in.
        ------------------------------------------------------------
        revno: 3097.12.5
        committer: Vladislav Vaintroub <vvaintroub@mysql.com>
        branch nick: mysql-5.5-bugteam
        timestamp: Sat 2010-11-20 00:56:07 +0100
        message:
          avoid useless system check on Windows
        ------------------------------------------------------------
        revno: 3097.12.4 [merge]
        committer: Vladislav Vaintroub <vvaintroub@mysql.com>
        branch nick: mysql-5.5-bugteam
        timestamp: Sat 2010-11-20 00:23:13 +0100
        message:
          merge
            ------------------------------------------------------------
            revno: 3097.15.10
            committer: Alexander Barkov <bar@mysql.com>
            branch nick: mysql-5.5-bugteam.b58190
            timestamp: Fri 2010-11-19 20:15:47 +0300
            message:
              Bug#58190 BETWEEN no longer uses indexes for date or datetime fields
              Regression introduced by WL#2649.
              
              Problem: queries with date/datetime columns did not use indexes:
              set names non_latin1_charset;
              select * from date_index_test
              where date_column between '2010-09-01' and '2010-10-01';
              
              before WL#2649 indexes worked fine because charset of 
              date/datetime
              columns was BINARY which always won.
              
              Fix: testing that collation of the operation matches collation 
              of the field is only needed in case of "real" string data types.
              For DATE, DATETIME it's not needed.
              
              
                @ mysql-test/include/ctype_numconv.inc
                @ mysql-test/r/ctype_binary.result
                @ mysql-test/r/ctype_cp1251.result
                @ mysql-test/r/ctype_latin1.result
                @ mysql-test/r/ctype_ucs.result
                @ mysql-test/r/ctype_utf8.result
                Adding tests
              
                @ sql/field.h
                Adding new method Field_str::match_collation_to_optimize_range()
                for use in opt_range.cc to distinguish between
                "real string" types like CHAR, VARCHAR, TEXT
                (Field_string, Field_varstring, Field_blob)
              
                and "almost string" types DATE, TIME, DATETIME
                (Field_newdate, Field_datetime, Field_time, Field_timestamp)
              
                @ sql/opt_range.cc
                Using new method instead of checking result_type() against STRING result.
              
              Note:
              
                Another part of this problem (which is not regression) 
                is submitted separately (see bug##58329).
            ------------------------------------------------------------
            revno: 3097.15.9
            committer: Alexander Barkov <bar@mysql.com>
            branch nick: mysql-5.5-bugteam.b58175
            timestamp: Fri 2010-11-19 18:24:29 +0300
            message:
              Bug#58175 xml functions read initialized bytes when conversions happen
              
              Problem:
              
               nr_of_decimals could read behind the end of the buffer
               in case of a non-null-terminated string, which caused
               valgring warnings.
              
              Fix:
              
                fixing nr_of_decimals not to read behind the "end" pointer.
              
              modified:
              
                @ mysql-test/r/xml.result
                @ mysql-test/t/xml.test
                @ sql/item.cc
            ------------------------------------------------------------
            revno: 3097.15.8
            committer: Georgi Kodinov <Georgi.Kodinov@Oracle.com>
            branch nick: B58119-5.5-bugteam
            timestamp: Fri 2010-11-19 13:37:25 +0200
            message:
              Bug #58119: Typo in warning on log: [Warning] 'proxes_priv' entry
              
              Fixed a typo in an error message.
            ------------------------------------------------------------
            revno: 3097.15.7
            committer: Georgi Kodinov <Georgi.Kodinov@Oracle.com>
            branch nick: B57559-5.1-bugteam
            timestamp: Wed 2010-11-17 15:26:11 +0200
            message:
              Bug #57559: Crash in Client plugin api
              
              The plugin code was releasing the plugin and 
              only then was reporting an error referencing it.
              Fixed by first reporting an error and then freeing up
              the plugin.
            ------------------------------------------------------------
            revno: 3097.15.6
            committer: Georgi Kodinov <Georgi.Kodinov@Oracle.com>
            branch nick: B57551-5.5-bugteam
            timestamp: Fri 2010-11-19 16:35:04 +0200
            message:
              Bug #57551: Live upgrade fails between 5.1.52 -> 5.5.7-rc
              
              Updated the server to treat a missing mysql.proxies_priv table 
              as empty. 
              Added some grants to make sure tables are correctly opened
              when they must be opened.
              Fixed a mysql_upgrade omission not adding rights to root to 
              execute GRANT PROXY on other users.
              Removed a redundant CREATE TABLE from 
              mysql_system_tables_fix.sql since it's always executed after
              mysql_system_tables.sql and the first file has CREATE TABLE 
              in it. 
              Added a test case for the above.
              Fixed error handling code to close the cursor
            ------------------------------------------------------------
            revno: 3097.15.5 [merge]
            committer: Georgi Kodinov <Georgi.Kodinov@Oracle.com>
            branch nick: B50021-5.5-bugteam
            timestamp: Fri 2010-11-19 16:01:00 +0200
            message:
              merge
                ------------------------------------------------------------
                revno: 3097.16.1
                committer: Sven Sandberg <sven.sandberg@oracle.com>
                branch nick: 5.5-bugteam
                timestamp: Fri 2010-11-19 14:54:29 +0100
                message:
                  Made tests clean up after themselves.
            ------------------------------------------------------------
            revno: 3097.15.4 [merge]
            committer: Georgi Kodinov <Georgi.Kodinov@Oracle.com>
            branch nick: B50021-5.5-bugteam
            timestamp: Fri 2010-11-19 15:56:08 +0200
            message:
              merge
                ------------------------------------------------------------
                revno: 2661.706.16
                committer: Georgi Kodinov <Georgi.Kodinov@Oracle.com>
                branch nick: B50021-5.1-bugteam
                timestamp: Thu 2010-11-18 18:02:37 +0200
                message:
                  Bug #50021: Windows standard configuration files are showing Linux 
                   options/settings
                   
                   1. Changed the default value for socket on Windows to the windows
                   default
                   2. Removed hard-coded trailing slashes from innodb_data_home_dir
                   and innodb_log_group_name_dir.
                   3. Added extra backslashes to the innodb directory example
                   4. Made the tempdir platform "dependent"
                   5. Fixed the comments in the .ini files
                   6. Removed the tmpdir from the templates and the scripts
            ------------------------------------------------------------
            revno: 3097.15.3
            committer: Bjorn Munch <bjorn.munch@oracle.com>
            branch nick: merge-55
            timestamp: Fri 2010-11-19 12:35:53 +0100
            message:
              avoid compilation warning about incomplete switch
            ------------------------------------------------------------
            revno: 3097.15.2 [merge]
            committer: Bjorn Munch <bjorn.munch@oracle.com>
            branch nick: merge-55
            timestamp: Fri 2010-11-19 11:28:17 +0100
            message:
              null upmerge
                ------------------------------------------------------------
                revno: 2661.706.15 [merge]
                committer: Bjorn Munch <bjorn.munch@oracle.com>
                branch nick: merge-51
                timestamp: Fri 2010-11-19 10:29:08 +0100
                message:
                  merge from 5.1-mtr
            ------------------------------------------------------------
            revno: 3097.15.1 [merge]
            committer: Bjorn Munch <bjorn.munch@oracle.com>
            branch nick: merge-55
            timestamp: Fri 2010-11-19 11:26:43 +0100
            message:
              merge from 5.5-mtr
                ------------------------------------------------------------
                revno: 3077.6.34 [merge]
                committer: Bjorn Munch <bjorn.munch@oracle.com>
                branch nick: mtr-55
                timestamp: Thu 2010-11-18 16:41:35 +0100
                message:
                  upmerge 58257
                    ------------------------------------------------------------
                    revno: 2661.412.105
                    committer: Bjorn Munch <bjorn.munch@oracle.com>
                    branch nick: notspc-51
                    timestamp: Wed 2010-11-17 16:05:52 +0100
                    message:
                      Bug #58257 mysqltest: in if(), ! $var with space is always false
                      Evaluation would start with the space and thus ignore the $
                      Added while() to skip past white space
                ------------------------------------------------------------
                revno: 3077.6.33 [merge]
                committer: Bjorn Munch <bjorn.munch@oracle.com>
                branch nick: optimif-55
                timestamp: Wed 2010-11-17 11:18:52 +0100
                message:
                  upmerge 58087
                    ------------------------------------------------------------
                    revno: 2661.412.104
                    committer: Bjorn Munch <bjorn.munch@oracle.com>
                    branch nick: rekeval-51
                    timestamp: Mon 2010-11-15 14:23:02 +0100
                    message:
                      Bug #58087 mysqltest re-evaluates 'let' expressions infinitely
                      Results from query is sent for evaluation
                      Break recursion by asking for ` to be ignored
                ------------------------------------------------------------
                revno: 3077.6.32
                committer: Bjorn Munch <bjorn.munch@oracle.com>
                branch nick: optimif-55
                timestamp: Wed 2010-11-17 11:16:13 +0100
                message:
                  Tests: many if/while expresissons simplified after 57276
                ------------------------------------------------------------
                revno: 3077.6.31 [merge]
                committer: Magnus Bl?udd <magnus.blaudd@sun.com>
                branch nick: 5.5-mtr
                timestamp: Mon 2010-11-15 12:47:05 +0100
                message:
                  Merge 5.5-bug58195 -> 5.5-mtr
                    ------------------------------------------------------------
                    revno: 3077.9.1
                    committer: Magnus Bl?udd <magnus.blaudd@sun.com>
                    branch nick: 5.5-bug58195
                    timestamp: Mon 2010-11-15 10:51:59 +0100
                    message:
                      Bug#58195 Make mysqltest poll for next epoch more often
                       - Speed up replicated NDB test by havin mysqltest poll every 100ms (instead
                         of every second) in sync_master_with_slave. Default epoch
                         timeout is 100ms, so that make sense.
                ------------------------------------------------------------
                revno: 3077.6.30 [merge]
                committer: Magnus Bl?udd <magnus.blaudd@sun.com>
                branch nick: 5.5-mtr
                timestamp: Mon 2010-11-15 08:41:11 +0100
                message:
                  Merge 5.5-bug58159 -> 5.5-mtr
                    ------------------------------------------------------------
                    revno: 3077.8.2
                    committer: Magnus Bl?udd <magnus.blaudd@sun.com>
                    branch nick: 5.5-bug58159
                    timestamp: Fri 2010-11-12 11:50:37 +0100
                    message:
                      Bug#58159 mtr.pl can't run out of source build with NDB
                       - use $bindir instead of $basedir when looking for binaries
                       - NOTE! the $ENV{NDB_EXAMPLES_*} will be reworked so that
                        mtr.pl does not need to set them up.
                ------------------------------------------------------------
                revno: 3077.6.29 [merge]
                committer: Bjorn Munch <bjorn.munch@oracle.com>
                branch nick: main-55
                timestamp: Sun 2010-11-14 13:51:05 +0100
                message:
                  null upmerge from 5.1-mtr
                    ------------------------------------------------------------
                    revno: 2661.412.103 [merge]
                    committer: Bjorn Munch <bjorn.munch@oracle.com>
                    branch nick: mtr-51
                    timestamp: Sun 2010-11-14 12:23:51 +0100
                    message:
                      merge from 5.1 up to rev 3471
                ------------------------------------------------------------
                revno: 3077.6.28 [merge]
                committer: Bjorn Munch <bjorn.munch@oracle.com>
                branch nick: main-55
                timestamp: Sun 2010-11-14 13:24:29 +0100
                message:
                  merge from 5.5
                    ------------------------------------------------------------
                    revno: 3077.8.1 [merge]
                    author: hery.ramilison@sun.com
                    committer: smenon <sunanda.menon@sun.com
                    branch nick: mysql-5.5
                    timestamp: Tue 2010-11-09 19:29:59 +0100
                    message:
                      Merge from mysql-5.5.7-rc-release
                        ------------------------------------------------------------
                        revno: 3069.10.2 [merge]
                        tags: mysql-5.5.7
                        committer: Jonathan Perkin <jonathan.perkin@oracle.com>
                        branch nick: mysql-5.5.7-rc-release
                        timestamp: Thu 2010-10-14 19:29:14 +0100
                        message:
                          Pull in fix from bug#47526 to solve bug#50047.
                            ------------------------------------------------------------
                            revno: 2661.711.1
                            committer: Magnus Bl?udd <magnus.blaudd@sun.com>
                            branch nick: 5.1-bugteam
                            timestamp: Mon 2010-01-04 12:17:58 +0100
                            message:
                              Bug#47526 unit.pl fails to execute binaries when using Test::Harness 3.10
                                - Rewrite unit.pl so it prefers to use TAP::Harness directly.
                                - Also add support for --verbose --noverbose
